#ifndef __JABYENGINE_GPU_HPP__
#define __JABYENGINE_GPU_HPP__
#include "../System/IOPorts/GPU_IO.hpp"

#if !defined(JABYENGINE_NTSC) && !defined(JABYENGINE_PAL)
    #error "JABYENGINE_NTSC or JABYENGINE_PAL must be defined"
#else
    #if defined(JABYENGINE_NTSC) && defined(JABYENGINE_PAL)
        #error "Please define only JABYENGINE_NTSC or JABYENGINE_PAL"
    #endif
#endif

namespace GPU {
    namespace Display {
        static void enable() {
            GP1.write(Command::GP1::SetDisplayState(DisplayState::On));
        }

        static void disable() {
            GP1.write(Command::GP1::SetDisplayState(DisplayState::Off));
        }
    }
}

#endif //!__JABYENGINE_GPU_HPP__